Update redirect rules
curl --request POST \
--url https://api.kinsta.com/v2/sites/environments/{env_id}/redirect-rules \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"action_type": "UPDATE",
"rules_to_update": [
{
"domain": "kinsta.com",
"from": "/redirect/from",
"to": "/redirect/to",
"traffic_from_city": "Nashville",
"traffic_from_country": "US",
"traffic_from_country_name": "United States",
"displayed_location": "Nashville, United States",
"type": "redirect"
}
],
"new_value": {
"domain": "kinsta.com",
"from": "/redirect/from",
"to": "/redirect/to",
"traffic_from_city": "Nashville",
"traffic_from_country": "US",
"traffic_from_country_name": "United States",
"displayed_location": "Nashville, United States",
"type": "redirect"
}
}
'import requests
url = "https://api.kinsta.com/v2/sites/environments/{env_id}/redirect-rules"
payload = {
"action_type": "UPDATE",
"rules_to_update": [
{
"domain": "kinsta.com",
"from": "/redirect/from",
"to": "/redirect/to",
"traffic_from_city": "Nashville",
"traffic_from_country": "US",
"traffic_from_country_name": "United States",
"displayed_location": "Nashville, United States",
"type": "redirect"
}
],
"new_value": {
"domain": "kinsta.com",
"from": "/redirect/from",
"to": "/redirect/to",
"traffic_from_city": "Nashville",
"traffic_from_country": "US",
"traffic_from_country_name": "United States",
"displayed_location": "Nashville, United States",
"type": "redirect"
}
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
action_type: 'UPDATE',
rules_to_update: [
{
domain: 'kinsta.com',
from: '/redirect/from',
to: '/redirect/to',
traffic_from_city: 'Nashville',
traffic_from_country: 'US',
traffic_from_country_name: 'United States',
displayed_location: 'Nashville, United States',
type: 'redirect'
}
],
new_value: {
domain: 'kinsta.com',
from: '/redirect/from',
to: '/redirect/to',
traffic_from_city: 'Nashville',
traffic_from_country: 'US',
traffic_from_country_name: 'United States',
displayed_location: 'Nashville, United States',
type: 'redirect'
}
})
};
fetch('https://api.kinsta.com/v2/sites/environments/{env_id}/redirect-rules', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.kinsta.com/v2/sites/environments/{env_id}/redirect-rules",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'action_type' => 'UPDATE',
'rules_to_update' => [
[
'domain' => 'kinsta.com',
'from' => '/redirect/from',
'to' => '/redirect/to',
'traffic_from_city' => 'Nashville',
'traffic_from_country' => 'US',
'traffic_from_country_name' => 'United States',
'displayed_location' => 'Nashville, United States',
'type' => 'redirect'
]
],
'new_value' => [
'domain' => 'kinsta.com',
'from' => '/redirect/from',
'to' => '/redirect/to',
'traffic_from_city' => 'Nashville',
'traffic_from_country' => 'US',
'traffic_from_country_name' => 'United States',
'displayed_location' => 'Nashville, United States',
'type' => 'redirect'
]
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.kinsta.com/v2/sites/environments/{env_id}/redirect-rules"
payload := strings.NewReader("{\n \"action_type\": \"UPDATE\",\n \"rules_to_update\": [\n {\n \"domain\": \"kinsta.com\",\n \"from\": \"/redirect/from\",\n \"to\": \"/redirect/to\",\n \"traffic_from_city\": \"Nashville\",\n \"traffic_from_country\": \"US\",\n \"traffic_from_country_name\": \"United States\",\n \"displayed_location\": \"Nashville, United States\",\n \"type\": \"redirect\"\n }\n ],\n \"new_value\": {\n \"domain\": \"kinsta.com\",\n \"from\": \"/redirect/from\",\n \"to\": \"/redirect/to\",\n \"traffic_from_city\": \"Nashville\",\n \"traffic_from_country\": \"US\",\n \"traffic_from_country_name\": \"United States\",\n \"displayed_location\": \"Nashville, United States\",\n \"type\": \"redirect\"\n }\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.kinsta.com/v2/sites/environments/{env_id}/redirect-rules")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"action_type\": \"UPDATE\",\n \"rules_to_update\": [\n {\n \"domain\": \"kinsta.com\",\n \"from\": \"/redirect/from\",\n \"to\": \"/redirect/to\",\n \"traffic_from_city\": \"Nashville\",\n \"traffic_from_country\": \"US\",\n \"traffic_from_country_name\": \"United States\",\n \"displayed_location\": \"Nashville, United States\",\n \"type\": \"redirect\"\n }\n ],\n \"new_value\": {\n \"domain\": \"kinsta.com\",\n \"from\": \"/redirect/from\",\n \"to\": \"/redirect/to\",\n \"traffic_from_city\": \"Nashville\",\n \"traffic_from_country\": \"US\",\n \"traffic_from_country_name\": \"United States\",\n \"displayed_location\": \"Nashville, United States\",\n \"type\": \"redirect\"\n }\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.kinsta.com/v2/sites/environments/{env_id}/redirect-rules")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"action_type\": \"UPDATE\",\n \"rules_to_update\": [\n {\n \"domain\": \"kinsta.com\",\n \"from\": \"/redirect/from\",\n \"to\": \"/redirect/to\",\n \"traffic_from_city\": \"Nashville\",\n \"traffic_from_country\": \"US\",\n \"traffic_from_country_name\": \"United States\",\n \"displayed_location\": \"Nashville, United States\",\n \"type\": \"redirect\"\n }\n ],\n \"new_value\": {\n \"domain\": \"kinsta.com\",\n \"from\": \"/redirect/from\",\n \"to\": \"/redirect/to\",\n \"traffic_from_city\": \"Nashville\",\n \"traffic_from_country\": \"US\",\n \"traffic_from_country_name\": \"United States\",\n \"displayed_location\": \"Nashville, United States\",\n \"type\": \"redirect\"\n }\n}"
response = http.request(request)
puts response.read_body{
"result": null
}{
"message": "Bad request format",
"status": 400,
"data": "<unknown>"
}{
"message": "No or invalid API key provided to the request",
"status": 401,
"data": "<unknown>"
}{
"message": "Could not find data or the user does not have permissions to retrieve it",
"status": 404,
"data": "<unknown>"
}{
"message": "Error occurred while processing your request",
"status": 500,
"data": "<unknown>"
}WordPress Site Environments
Update redirect rules
POST
/
sites
/
environments
/
{env_id}
/
redirect-rules
Update redirect rules
curl --request POST \
--url https://api.kinsta.com/v2/sites/environments/{env_id}/redirect-rules \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"action_type": "UPDATE",
"rules_to_update": [
{
"domain": "kinsta.com",
"from": "/redirect/from",
"to": "/redirect/to",
"traffic_from_city": "Nashville",
"traffic_from_country": "US",
"traffic_from_country_name": "United States",
"displayed_location": "Nashville, United States",
"type": "redirect"
}
],
"new_value": {
"domain": "kinsta.com",
"from": "/redirect/from",
"to": "/redirect/to",
"traffic_from_city": "Nashville",
"traffic_from_country": "US",
"traffic_from_country_name": "United States",
"displayed_location": "Nashville, United States",
"type": "redirect"
}
}
'import requests
url = "https://api.kinsta.com/v2/sites/environments/{env_id}/redirect-rules"
payload = {
"action_type": "UPDATE",
"rules_to_update": [
{
"domain": "kinsta.com",
"from": "/redirect/from",
"to": "/redirect/to",
"traffic_from_city": "Nashville",
"traffic_from_country": "US",
"traffic_from_country_name": "United States",
"displayed_location": "Nashville, United States",
"type": "redirect"
}
],
"new_value": {
"domain": "kinsta.com",
"from": "/redirect/from",
"to": "/redirect/to",
"traffic_from_city": "Nashville",
"traffic_from_country": "US",
"traffic_from_country_name": "United States",
"displayed_location": "Nashville, United States",
"type": "redirect"
}
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
action_type: 'UPDATE',
rules_to_update: [
{
domain: 'kinsta.com',
from: '/redirect/from',
to: '/redirect/to',
traffic_from_city: 'Nashville',
traffic_from_country: 'US',
traffic_from_country_name: 'United States',
displayed_location: 'Nashville, United States',
type: 'redirect'
}
],
new_value: {
domain: 'kinsta.com',
from: '/redirect/from',
to: '/redirect/to',
traffic_from_city: 'Nashville',
traffic_from_country: 'US',
traffic_from_country_name: 'United States',
displayed_location: 'Nashville, United States',
type: 'redirect'
}
})
};
fetch('https://api.kinsta.com/v2/sites/environments/{env_id}/redirect-rules', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.kinsta.com/v2/sites/environments/{env_id}/redirect-rules",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'action_type' => 'UPDATE',
'rules_to_update' => [
[
'domain' => 'kinsta.com',
'from' => '/redirect/from',
'to' => '/redirect/to',
'traffic_from_city' => 'Nashville',
'traffic_from_country' => 'US',
'traffic_from_country_name' => 'United States',
'displayed_location' => 'Nashville, United States',
'type' => 'redirect'
]
],
'new_value' => [
'domain' => 'kinsta.com',
'from' => '/redirect/from',
'to' => '/redirect/to',
'traffic_from_city' => 'Nashville',
'traffic_from_country' => 'US',
'traffic_from_country_name' => 'United States',
'displayed_location' => 'Nashville, United States',
'type' => 'redirect'
]
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.kinsta.com/v2/sites/environments/{env_id}/redirect-rules"
payload := strings.NewReader("{\n \"action_type\": \"UPDATE\",\n \"rules_to_update\": [\n {\n \"domain\": \"kinsta.com\",\n \"from\": \"/redirect/from\",\n \"to\": \"/redirect/to\",\n \"traffic_from_city\": \"Nashville\",\n \"traffic_from_country\": \"US\",\n \"traffic_from_country_name\": \"United States\",\n \"displayed_location\": \"Nashville, United States\",\n \"type\": \"redirect\"\n }\n ],\n \"new_value\": {\n \"domain\": \"kinsta.com\",\n \"from\": \"/redirect/from\",\n \"to\": \"/redirect/to\",\n \"traffic_from_city\": \"Nashville\",\n \"traffic_from_country\": \"US\",\n \"traffic_from_country_name\": \"United States\",\n \"displayed_location\": \"Nashville, United States\",\n \"type\": \"redirect\"\n }\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.kinsta.com/v2/sites/environments/{env_id}/redirect-rules")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"action_type\": \"UPDATE\",\n \"rules_to_update\": [\n {\n \"domain\": \"kinsta.com\",\n \"from\": \"/redirect/from\",\n \"to\": \"/redirect/to\",\n \"traffic_from_city\": \"Nashville\",\n \"traffic_from_country\": \"US\",\n \"traffic_from_country_name\": \"United States\",\n \"displayed_location\": \"Nashville, United States\",\n \"type\": \"redirect\"\n }\n ],\n \"new_value\": {\n \"domain\": \"kinsta.com\",\n \"from\": \"/redirect/from\",\n \"to\": \"/redirect/to\",\n \"traffic_from_city\": \"Nashville\",\n \"traffic_from_country\": \"US\",\n \"traffic_from_country_name\": \"United States\",\n \"displayed_location\": \"Nashville, United States\",\n \"type\": \"redirect\"\n }\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.kinsta.com/v2/sites/environments/{env_id}/redirect-rules")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"action_type\": \"UPDATE\",\n \"rules_to_update\": [\n {\n \"domain\": \"kinsta.com\",\n \"from\": \"/redirect/from\",\n \"to\": \"/redirect/to\",\n \"traffic_from_city\": \"Nashville\",\n \"traffic_from_country\": \"US\",\n \"traffic_from_country_name\": \"United States\",\n \"displayed_location\": \"Nashville, United States\",\n \"type\": \"redirect\"\n }\n ],\n \"new_value\": {\n \"domain\": \"kinsta.com\",\n \"from\": \"/redirect/from\",\n \"to\": \"/redirect/to\",\n \"traffic_from_city\": \"Nashville\",\n \"traffic_from_country\": \"US\",\n \"traffic_from_country_name\": \"United States\",\n \"displayed_location\": \"Nashville, United States\",\n \"type\": \"redirect\"\n }\n}"
response = http.request(request)
puts response.read_body{
"result": null
}{
"message": "Bad request format",
"status": 400,
"data": "<unknown>"
}{
"message": "No or invalid API key provided to the request",
"status": 401,
"data": "<unknown>"
}{
"message": "Could not find data or the user does not have permissions to retrieve it",
"status": 404,
"data": "<unknown>"
}{
"message": "Error occurred while processing your request",
"status": 500,
"data": "<unknown>"
}Authorizations
Body
application/json
The operation to perform:
NEW— add redirect rules. Supply them inrules_to_update.UPDATE— replace an existing rule. Supply the rule to replace inrules_to_updateand its replacement innew_value.DELETE— remove the redirect rules listed inrules_to_update.DELETE_ALL— remove all redirect rules.
Available options:
DELETE, DELETE_ALL, NEW, UPDATE Example:
"UPDATE"